lenya-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rainer Schöpf <rainer.scho...@gmx.net>
Subject Re: build-problem with Lenya2.0.3 , patches/bug45488.patch
Date Mon, 11 Oct 2010 17:18:29 GMT
On Mon, 11 Oct 2010 at 15:00 +0200, Daniel Brüßler wrote:

 > Hello,
 > 
 > I tried to build lenya, but ant is not building correctly. What is wrong?
 > 
 > - I'm running Java5 update 22 (because Java6 didn't work) and set "1.5"
 > in local.build.properties
 > - I'm using the ant in $LENYA_HOME/tools/bin (version 1.7.1)
 > - there are no double libraries in other versions in the class path of
 > xerces, xalan, and so on
 > - I downloaded the .tar.gz Version for Lenya 2.0.3 and set the
 > environment variables
 > - that file "patches/bug45488.patch" is in
 > /d/REPOS/java/lenya203src/src/modules/kupu/patches
 >   and in
 > /d/REPOS/java/lenya203src/build/lenya/webapp/lenya/modules/kupu/patches
 > - all files have the same permissions (774)
 > - I was running the build.sh within the $LENYA_HOME folder
 > 
 > ------------
 > 
 > BUILD FAILED
 > /d/REPOS/java/lenya203src/src/targets/webapp-build.xml:174: The following error occurred
while executing this line:
 > /d/REPOS/java/lenya203src/src/targets/modules-build.xml:74: The following error occurred
while executing this line:
 > /d/REPOS/java/lenya203src/build/lenya/temp/modules-build.xml:2592: The following error
occurred while executing this line:
 > /d/REPOS/java/lenya203src/src/modules/kupu/build.xml:21: java.io.IOException: java.io.IOException:
patch: not found

You need to install the Ubuntu package "patch", e.g.

 apt-get install patch

 Rainer

Mime
View raw message